#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		gem_dir		%(ruby -e 'puts Gem.default_dir')
#-----------------------------------------------------------------------------
Name		:	asciidoctor
Version		:	2.0.18
Release		:	14.8.0.0%{?dist}
Summary		:	A fast, open source AsciiDoc implementation in Ruby

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/asciidoctor/asciidoctor

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	ruby

Requires	:	ruby

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
A fast, open source text processor and publishing toolchain, written in Ruby,
for transforming AsciiDoc markup into HTML 5, DocBook 4.5, DocBook 5.0 and
custom output formats. The transformation from AsciiDoc to custom output
formats is performed by running the nodes in the parsed document tree through a
collection of templates written in a template language supported by Tilt.

#=============================================================================
%files			
%defattr(-, root,root,-)
%{gem_dir}/bin/%{name}
%{gem_dir}/cache/%{name}-%{version}.gem
%{gem_dir}/gems/%{name}-%{version}/LICENSE
%{gem_dir}/gems/%{name}-%{version}/*.adoc
%{gem_dir}/gems/%{name}-%{version}/bin/%{name}
%{gem_dir}/gems/%{name}-%{version}/data/locale/attributes.adoc
%{gem_dir}/gems/%{name}-%{version}/data/locale/attributes-*.adoc
%{gem_dir}/gems/%{name}-%{version}/data/reference/syntax.adoc
%{gem_dir}/gems/%{name}-%{version}/data/stylesheets/*.css
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/*.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/cli/*.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/converter/*.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/core_ext/*.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/core_ext/float/*.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/core_ext/hash/*.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/core_ext/match_data/*.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/core_ext/regexp/*.rb
%{gem_dir}/gems/%{name}-%{version}/lib/%{name}/syntax_highlighter/*.rb
%{gem_dir}/gems/%{name}-%{version}/man/%{name}.1
%{gem_dir}/gems/%{name}-%{version}/man/%{name}.adoc
%{gem_dir}/gems/%{name}-%{version}/%{name}.gemspec
%{gem_dir}/doc/%{name}-%{version}/ri/*.ri
%{gem_dir}/doc/%{name}-%{version}/ri/Array/*.ri
%{gem_dir}/doc/%{name}-%{version}/ri/Asciidoctor/
%{gem_dir}/doc/%{name}-%{version}/ri/Regexp/*.ri
%{gem_dir}/doc/%{name}-%{version}/ri/Hash/*.ri
%{gem_dir}/doc/%{name}-%{version}/ri/MatchData/*.ri
%{gem_dir}/doc/%{name}-%{version}/ri/NilClass/*.ri
%{gem_dir}/doc/%{name}-%{version}/ri/Numeric/*.ri
%{gem_dir}/doc/%{name}-%{version}/ri/Object/*.ri
%{gem_dir}/doc/%{name}-%{version}/ri/String/*.ri
%{gem_dir}/specifications/%{name}-%{version}.gemspec

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
gem							\
	build						\
	%{name}.gemspec

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

gem							\
	install						\
	--local						\
	--no-user-install				\
	--install-dir="%{buildroot}/%{gem_dir}"		\
	%{name}-%{version}.gem

#-----------------------------------------------------------------------------
%changelog
